GET http://[host-proxy]/api/view/MicrosoftNumberEmergencyLocation/schema/?hierarchy=[hierarchy]&format=json&schema=1
{
"$schema": "http://json-schema.org/draft-03/schema",
"type": "object",
"properties": {
"description": {
"title": " ",
"type": "string",
"readonly": true,
"default": "Microsoft number emergency location",
"maxLength": 1024
},
"notes": {
"title": " ",
"type": "string",
"readonly": true,
"default": "Operations tool that assigns an emergency location to Microsoft numbers. Unassigned or assigned numbers or a specified range of numbers of a given type are updated to the supplied location id. A temporary user is used during the process and removed afterward when the number is unassigned. Please note that numbers that are already assigned to an emergency location will be reset to the new location.",
"maxLength": 1024
},
"NumberType": {
"title": "Number Type",
"type": "string",
"required": true,
"default": "DirectRouting",
"choices": [
{
"value": "DirectRouting",
"title": "DirectRouting"
},
{
"value": "CallingPlan",
"title": "CallingPlan"
},
{
"value": "OperatorConnect",
"title": "OperatorConnect"
}
],
"maxLength": 1024
},
"Identity": {
"title": "Temporary Identity",
"description": "This is a temporary user with an appropiate license. This user will be assigned to a number and then unassigned again to get the location assigned to the number. If the number is already assigned to an emergency location, it will be reset to the new location. If the number is already assigned to a user, it will use the existing user's identity to set the emergency location.",
"type": "string",
"required": true,
"maxLength": 1024
},
"UsageLocation": {
"title": "Usage Location",
"description": "This is a temporary user's Usage Location. The locations are filtered by the Usage Location.",
"type": "string",
"required": true,
"maxLength": 1024
},
"LocationId": {
"title": "Emergency Location",
"description": "The emergncy location is build up from the following data. (LocationId,Location,HouseNumber,StreetName,StateOrProvince,PostalCode,CountryOrRegion). The locations are filtered by the Usage Location.",
"type": "string",
"required": true,
"maxLength": 1024
},
"NumberOption": {
"title": "Select Number Option",
"description": "The number option to use in the number assignment.",
"type": "string",
"required": true,
"default": "Numbers",
"choices": [
{
"value": "Numbers",
"title": "Select Numbers"
},
{
"value": "CustomRange",
"title": "Custom Range"
},
{
"value": "AllNumbers",
"title": "All Numbers"
}
],
"maxLength": 1024
},
"Numbers": {
"title": "Numbers",
"description": "List of numbers to assign the emergency location to. These numbers are built up from the Internal Number Inventory and MS Teams Numbers in the system. If there are no matchting numbers found, the numbers will not be available for selection. If at Site level, the numbers will only be shown thats at the current Site. The MS Teams numbers may still be at customer level.",
"type": "array",
"items": {
"type": "string",
"maxLength": 1024
}
},
"StartNumber": {
"title": "Start Number",
"description": "The start number of the range to assign the emergency location to. The number can start with a + or \\+.",
"type": "string",
"pattern": "^(\\\\\\+)?[0-9]+$|^\\+?[0-9]+$",
"maxLength": 1024
},
"EndNumber": {
"title": "End Number",
"description": "The end number of the range to assign the emergency location to. The number can start with a + or \\+.",
"type": "string",
"pattern": "^(\\\\\\+)?[0-9]+$|^\\+?[0-9]+$",
"maxLength": 1024
},
"total_count": {
"title": "Total numbers affected",
"description": "The total count of numbers that will be updated.",
"type": "string",
"maxLength": 1024
}
},
"schema_version": "0.3"
}